LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Zenwalk
User Name
Password
Zenwalk This forum is for the discussion of Zenwalk Linux.

Notices

Reply
 
Search this Thread
Old 12-13-2007, 04:11 AM   #1
Douwe
Member
 
Registered: Jun 2002
Location: the Netherlands
Distribution: Slackware, Zenwalk
Posts: 38

Rep: Reputation: 15
4.6 -> 4.8 upgrade: no more firefox


I had Zenwalk 4.6 on a spare computer with a Via Samuel 2 processor and 256 Mb RAM. Worked fine.
Yesterday I upgraded it:
Code:
netpkg upgrade
In fact I had to issue this twice, but then it worked with one nasty exception: firefox does't do anything.
starting firefox in a terminal gave:
Code:
$ firefox
/usr/lib/iceweasel/firefox-bin: error while loading shared libraries: libplc4.so:
cannot open shared object file: No such file or directory
$ locate libplc4.so
/usr/lib/firefox-2.0.0.3/libplc4.so
/usr/lib/thunderbird-2.0.0.0/libplc4.so
$
this means IMHO that libplc4.so is there for firefox, but I don't know how to solve this problem.

BTW. the text-browser lynx works fine in a terminal window.

yet another small update-flaw:
Code:
$ cat /etc/zenwalk-version
Zenwalk 4.6
$
I expected: 4.8 ...
 
Old 12-13-2007, 06:53 AM   #2
David1357
Senior Member
 
Registered: Aug 2007
Location: South Carolina, U.S.A.
Distribution: Ubuntu, Fedora Core, Red Hat, SUSE, Gentoo, DSL, coLinux, uClinux
Posts: 1,302
Blog Entries: 1

Rep: Reputation: 107Reputation: 107
Quote:
Originally Posted by Douwe View Post
/usr/lib/firefox-2.0.0.3/libplc4.so
/usr/lib/thunderbird-2.0.0.0/libplc4.so
You can try adding those paths to "/etc/ld.so.conf" and running ldconfig to update the shared library cache.
 
Old 12-13-2007, 07:25 AM   #3
gapan
Member
 
Registered: Feb 2007
Posts: 343

Rep: Reputation: 105Reputation: 105
Actually your /etc/ld.so.conf file should only have this inside:
Code:
include /etc/ld.so.conf.d/*.conf
I think you problem with firefox is that firefox has been replaced by iceweasel in zenwalk 4.8. So...
Code:
removepkg firefox
netpkg iceweasel-2
The "-2" is a trick for netpkg to not prompt you for all the langpacks.

Quote:
Originally Posted by Douwe View Post
yet another small update-flaw:
Code:
$ cat /etc/zenwalk-version
Zenwalk 4.6
$
I expected: 4.8 ...
No, this is correct. This file doesn't get updated. It always points to the version that zenwalk was first installed with.
 
Old 12-13-2007, 12:36 PM   #4
Douwe
Member
 
Registered: Jun 2002
Location: the Netherlands
Distribution: Slackware, Zenwalk
Posts: 38

Original Poster
Rep: Reputation: 15
The reply of gapan did the trick for me.
iceweasel 2.0.0.11 works fine now.
thanks gapan & David3157 for your reactions.
case closed.

Douwe.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
How do I upgrade Firefox? jacatone Linux - Software 5 08-03-2007 02:13 AM
Firefox upgrade Swift&Smart *BSD 10 02-07-2007 08:25 PM
How to upgrade from Firefox 1.0.7 to Firefox 1.5.0.4 on FC3? trien27 Linux - Newbie 2 06-11-2006 07:26 AM
firefox does not stream video after firefox automatic upgrade? kazuya1977 VectorLinux 1 02-12-2006 01:48 PM
firefox upgrade simay Mandriva 8 09-18-2005 02:51 AM


All times are GMT -5. The time now is 01:56 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration